/* ----------------------------------------------------------------------------------------------------------------------------------------------

							EODmyDOG

Author: Monovdd (Carlos Alberto Arango Schtz)

Credits: CAA (http://armacaa.com), Scar and Paranoik for testing.

Description: EODmyDog is a script that extends the gameplay in Arma 2 CO, and takes the role of combat engineer to another level. 
	     This script invokes a dog companion for the Engineer, with which he can search for mines in a specific area, looking for explosives 
	      in objects or units and attack enemies.

Features: Unlike other scripts, EODmyDOG has a menu that facilitates user interaction and makes the script user-friendly. 
	  Also it has a way to detect explosives that is fully compatible with ACE.

Multiplayer notes: Works perfectly on dedicated servers as well as non-dedicated servers. 
	           (The server must be configured to support ACE).

Requirements: ARMA 2 CO (COMBINED OPERATIONS), ACE (Advanced Combat Enviroment) y CBA (Community Based addon).

Usage: You must complete the following steps to make the script work on your mission:

1) In init.sqf file copy the following line in a new line:

	#include "\x\cba\addons\main\script_component.hpp"

2) In Description.txt file copy the following lines into a new line:

	#include <scripts\EODmydog\files\sounds.hpp>
	#include <scripts\EODmydog\files\c_ui.hpp>
	#include <scripts\EODmydog\files\EODD.hpp>

	Note: If you want to add sounds to your mission and want to use EODmyDOG, you must modify the file sounds.hpp, 
	which is located in the path: scripts \ EODmydog \ files \

	This file contains CfgSounds class that normally meets mission sounds. Here you must add the name of the sound and the path to it.

3) Once done steps 1 and 2, add the following line to the INIT of unit in the editor that you want to have EODmyDOG. 
   Make sure the unit is controlled by a player; otherwise the script will not work.

	_nul = [this] execvm "scripts\EODmydog\files\EODmydog_INIT.sqf";

4) Put in your mission via editor the functions module (BIS Module)

5) Enjoy EODmyDOG. Dont forget to thank. It costs nothing.

------------------------------------------------------------------------------------------------------------------------------------------------- */

//Variables Publicas
//EODmydog_Seguir
//EODmydog_BuscarExplosivosPersona
//EODmydog_BuscarExplosivos
//EODmydog_Atacar

private ["_unidad"];

_unidad = _this select 0;

if (isPlayer _unidad) then {
		
                _unidad addaction [("<t color=""#e5b348"">" + ("Call EODDmyDog") + "</t>"),"scripts\EODmydog\files\EODmydog_INIT_ENGINE.sqf", (_unidad)];
		
};
//----------------------------------------------------------------------------------------------------------
//FIN DEL SCRIPT
//----------------------------------------------------------------------------------------------------------